## -*- Mode:rpm-spec -*-
##
## Copyright (C) 2002 by Kevin L. Mitchell <klmitch@mit.edu>
##
## This library is free software; you can redistribute it and/or
## modify it under the terms of the GNU Library General Public
## License as published by the Free Software Foundation; either
## version 2 of the License, or (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
## Library General Public License for more details.
##
## You should have received a copy of the GNU Library General Public
## License along with this library; if not, write to the Free
## Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
## MA 02111-1307, USA
##
## @(#)$Id: dbprim.spec.in,v 1.2 2003/08/23 20:10:50 klmitch Exp $
##
## Process this file with rpmbuild to generate RPMS

%define name dbprim
%define version 0.9.1
%define release 1

%define clean_build_root if test -O "%{buildroot}" -a "%{buildroot}" != "/" -a "%{buildroot}" != "${HOME}"; then %{__rm} -rf %{buildroot}; fi
%define clean_build_dir %{__rm} -rf %{buildsubdir}

Name: %{name}
Version: %{version}
Release: %{release}

Source: %{name}-%{version}.tar.gz

Copyright: LGPL

Summary: Database Primitives Library
Group: System Environment/Libraries

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

Vendor: Kevin L. Mitchell <klmitch@mit.edu>
Packager: %{packager}
Url: http://dbprim.sourceforge.net/

BuildRequires: doxygen
BuildRequires: tetex-latex
BuildRequires: tetex-dvips
BuildRequires: ghostscript

%description
This library provides a set of database primitives--linked lists,
autoresizing hash tables, sparse matrices, and red-black trees.

%package devel
Summary: Libraries and includes for developing with dbprim
Group: Development/Libraries
Requires: %{name}

%description devel
These are the development files necessary for using the Database
Primitives Library.  Applications should include dbprim/dbprim.h.
This package also includes dbprim-config.

%changelog
* Sat Aug 23 2003 Kevin L Mitchell <klmitch@mit.edu>
- Build documentation, set BuildRequires properly
- Use @ substitution for Summary
- Set URL to SourceForge
- Also add tetex-dvips and ghostscript to the list of required build
  packages

* Fri Aug 22 2003 Kevin L Mitchell <klmitch@mit.edu>
- Creation of initial spec file

%prep
%setup

%build
%configure
%__make
%{__rm} -rf doc/html doc/latex doc/man
doxygen doc/Doxyfile
(cd doc/latex && %__make refman.ps refman.pdf)

%install
%clean_build_root
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
%clean_build_root
%clean_build_dir

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc ChangeLog COPYING INSTALL
%{_libdir}/lib*.so.*
%{_libdir}/lib*.so

%files devel
%defattr(-, root, root)
%doc ChangeLog COPYING INSTALL doc/html
%doc doc/latex/refman.dvi doc/latex/refman.ps doc/latex/refman.pdf
%{_bindir}/dbprim-config
%{_includedir}/dbprim
%{_libdir}/lib*.la
%{_libdir}/lib*.a
%{_mandir}/man3/*
